package com.srs.comprehensive.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 学生综合素质评分表对象 srs_cq_score
 *
 * @author srs
 * @date 2023-06-29
 */
@Data
public class SrsCqScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 综合成绩 */
    private Long id;

    /** 学生学号 */
    @Excel(name = "学号")
    private String stuNo;

    /** 学年id */
//    @Excel(name = "学年id")
    private Long stuYearId;

    /** 综合素质成绩 */
    @Excel(name = "综合素质成绩")
    private BigDecimal cqScore;

    /** 删除标志（0代表存在 */
    private String delFlag;
    @Excel(name = "学年")
    private  String stuYearName;
    @Excel(name = "姓名")
    private String name;
    @Excel(name = "年级")
    private String gradeName;
    @Excel(name = "学院")
    private  String deptName;
    @Excel(name = "专业")
    private String majorsName;
    @Excel(name = "班级")
    private  String className;
    //思想品德
    @TableField(exist = false)
    private  BigDecimal iamScore;
    //第二课堂
    @TableField(exist = false)
    private  BigDecimal classtwoScore;
    //综合评价
    @TableField(exist = false)
    private  BigDecimal ceScore;
    //科学文化素质
    @TableField(exist = false)
    private  BigDecimal stuScore;
    //体能素质
    @TableField(exist = false)
    private  BigDecimal sportScore;
    @TableField(exist = false)
    private BigDecimal totalScore;

    public String getStuYearName() {
        return stuYearName;
    }

    public void setStuYearName(String stuYearName) {
        this.stuYearName = stuYearName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getMajorsName() {
        return majorsName;
    }

    public void setMajorsName(String majorsName) {
        this.majorsName = majorsName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }
    public void setStuYearId(Long stuYearId)
    {
        this.stuYearId = stuYearId;
    }

    public Long getStuYearId()
    {
        return stuYearId;
    }
    public void setCqScore(BigDecimal cqScore)
    {
        this.cqScore = cqScore;
    }

    public BigDecimal getCqScore()
    {
        return cqScore;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuNo", getStuNo())
            .append("stuYearId", getStuYearId())
            .append("cqScore", getCqScore())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
